eID middleware |

# be.portugal.eid.PTEID_ValidationLevel Class Reference

Class that holds the possible validation levels for CRL or OCSP validation. More...

List of all members.

## Public Member Functions
final int | swigValue ()
String | toString ()
## Static Public Member Functions
static PTEID_ValidationLevel | swigToEnum (int swigValue)
## Static Public Attributes
static final PTEID_ValidationLevel | PTEID_VALIDATION_LEVEL_NONE = new PTEID_ValidationLevel("PTEID_VALIDATION_LEVEL_NONE", pteidlibJava_WrapperJNI.PTEID_VALIDATION_LEVEL_NONE_get())
| no validation
static final PTEID_ValidationLevel | PTEID_VALIDATION_LEVEL_OPTIONAL = new PTEID_ValidationLevel("PTEID_VALIDATION_LEVEL_OPTIONAL")
| optional validation
static final PTEID_ValidationLevel | PTEID_VALIDATION_LEVEL_MANDATORY = new PTEID_ValidationLevel("PTEID_VALIDATION_LEVEL_MANDATORY")
| mandatory validation

## Detailed Description

Class that holds the possible validation levels for CRL or OCSP validation.

## Member Function Documentation

static PTEID_ValidationLevel be.portugal.eid.PTEID_ValidationLevel.swigToEnum | ( | int | swigValue | ) | `[static]`

final int be.portugal.eid.PTEID_ValidationLevel.swigValue | ( |  | ) |

String be.portugal.eid.PTEID_ValidationLevel.toString | ( |  | ) |

## Member Data Documentation

final PTEID_ValidationLevel be.portugal.eid.PTEID_ValidationLevel.PTEID_VALIDATION_LEVEL_MANDATORY = new PTEID_ValidationLevel("PTEID_VALIDATION_LEVEL_MANDATORY")`[static]`

mandatory validation

final PTEID_ValidationLevel be.portugal.eid.PTEID_ValidationLevel.PTEID_VALIDATION_LEVEL_NONE = new PTEID_ValidationLevel("PTEID_VALIDATION_LEVEL_NONE", pteidlibJava_WrapperJNI.PTEID_VALIDATION_LEVEL_NONE_get())`[static]`

no validation

final PTEID_ValidationLevel be.portugal.eid.PTEID_ValidationLevel.PTEID_VALIDATION_LEVEL_OPTIONAL = new PTEID_ValidationLevel("PTEID_VALIDATION_LEVEL_OPTIONAL")`[static]`

optional validation